<a href="https://www.telerik.com/kendo-angular-ui/components/dropdowns" target="_blank">
<img width="631" src="https://demos.telerik.com/kendo-angular-ui/assets/banner/npm-banner.svg">
</a>

## Kendo UI for Angular DropDowns Package

> * This package is part of the [Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui/)&mdash;a commercial UI library.
> * You must [install a license key](https://www.telerik.com/kendo-angular-ui/my-license) when adding the package to your project. To receive a license key, either [purchase a license](https://www.telerik.com/purchase/kendo-ui) or register for a [free trial](https://www.telerik.com/download-login-v2-kendo-angular-ui).
> * The 30-day free trial gives you access to all the Kendo UI for Angular components and their full functionality. Additionally, for the period of your license, you get access to our legendary technical support provided directly by the Kendo UI for Angular team!

The [Angular Dropdowns package](https://www.telerik.com/kendo-angular-ui/components/dropdowns) includes variety of highly configurable drop-down types that allow you to quickly and easily create the exact Dropdowns component you need to statisfy requirements for functionality and appearance. The Dropdowns are built from the ground-up and specifically for Angular, so that you get high-performance drop-down controls which integrate tightly with your application.

## What's Included in the Angular Dropdowns Package

The [Angular Dropdowns](https://www.telerik.com/kendo-angular-ui/components/dropdowns) package includes seven built-in components:

* [Angular AutoComplete Component](https://www.telerik.com/kendo-angular-ui/components/dropdowns/autocomplete)
* [Angular ComboBox Component](https://www.telerik.com/kendo-angular-ui/components/dropdowns/combobox)
* [Angular DropDownList Component](https://www.telerik.com/kendo-angular-ui/components/dropdowns/dropdownlist)
* [Angular DropDownTree Component](https://www.telerik.com/kendo-angular-ui/components/dropdowns/dropdowntree)
* [Angular MultiColumnComboBox Component](https://www.telerik.com/kendo-angular-ui/components/dropdowns/multicolumncombobox)
* [Angular MultiSelect Component](https://www.telerik.com/kendo-angular-ui/components/dropdowns/multiselect)
* [Angular MultiSelectTree Component](https://www.telerik.com/kendo-angular-ui/components/dropdowns/multiselecttree)

## Key Features

Among the many features which the Kendo UI for Angular Dropdowns deliver are:

* Data Binding&mdash;The Dropdowns support the binding of their data to lists of values which can contain primitive (strings and numbers) or complex (objects) items. [Read more about the data binding of the AutoComplete...](https://www.telerik.com/kendo-angular-ui/components/dropdowns/autocomplete/data-binding)
* Forms Support&mdash;All Dropdowns provide support both for the asynchronous Template-Driven Angular forms and the predominantly synchronous Reactive Angular forms. [Read more about the forms support of the AutoComplete...](https://www.telerik.com/kendo-angular-ui/components/dropdowns/autocomplete/forms)
* Filtering&mdash;Apart from their built-in filter functionality, the Dropdowns provide further options for fine-tuning and customizing the mechanism such as setting a minimum length of the search symbols, using the built-in filter directive, and more. [Read more about filtering the AutoComplete items...](https://www.telerik.com/kendo-angular-ui/components/dropdowns/autocomplete/filtering)
* Virtualization&mdash;All Kendo UI for Angular Dropdowns that do not visualize hierarchical data in their popups provide an option for significantly improving the performance when working with large datasets by using virtualization. [Read more about the virtualization functionality in the AutoComplete...](https://www.telerik.com/kendo-angular-ui/components/dropdowns/autocomplete/grouping)
* Grouping&mdash;All Kendo UI for Angular Dropdowns that do not visualize hierarchical data in their popups provide an option for displaying grouped data inside them. [Read more about the grouping functionality in the AutoComplete...](https://www.telerik.com/kendo-angular-ui/components/dropdowns/autocomplete/virtualization)
* Disabled Options&mdash;You can disable some of the predefined list options of the Dropdowns so that users cannot interact with them. [Read more about the disabled options in the AutoComplete...](https://www.telerik.com/kendo-angular-ui/components/dropdowns/autocomplete/disabled-items)
* Adaptive Mode&mdash;All Kendo UI for Angular Dropdowns support a mobile-friendly rendering mode of their popups. Enabling the adaptive mode allows the components to automatically fit to the current screen size. [Read more about the adaptive mode in the AutoComplete...](https://www.telerik.com/kendo-angular-ui/components/dropdowns/autocomplete/adaptive-mode)
* Appearance&mdash;Each Kendo UI for Angular Dropdowns component provides options for customizing the look and feel such as size, border radius, and fill modes. [Read more about the customazible appearance of the AutoComplete...](https://www.telerik.com/kendo-angular-ui/components/dropdowns/autocomplete/appearance)
* Templates&mdash;You can visually customize the content and the general look and feel of the items and elements list by utilizing the ready-to-use header, footer, and other templates. [Read more about the templates used by the AutoComplete...](https://www.telerik.com/kendo-angular-ui/components/dropdowns/autocomplete/templates)
* Globalization&mdash;The Kendo UI for Angular Dropdowns support globalization to ensure that they can fit well in any application, no matter what languages and locales need to be supported. Additionally, the Dropdowns support rendering in a right-to-left (RTL) direction. [Read more about Dropdowns globalization...](https://www.telerik.com/kendo-angular-ui/components/dropdowns/globalization)
* Accessibility&mdash;The Dropdowns are accessible for screen readers and support WAI-ARIA attributes. [Read more about accessibility support of the AutoComplete...](https://www.telerik.com/kendo-angular-ui/components/dropdowns/autocomplete/accessibility)
* Keyboard Navigation&mdash;The Dropdowns support a number of keyboard shortcuts which allow users to accomplish various commands. [Read more about the keyboard navigation of the AutoComplete...](https://www.telerik.com/kendo-angular-ui/components/dropdowns/autocomplete/keyboard-navigation)

## Support Options

For any issues you might encounter while working with the Kendo UI for Angular Dropdowns, you have the following support channels available:

* Industry-leading technical support&mdash;Kendo UI for Angular paid license holders and users with an active (free) trial license can take advantage of our outstanding customer support. To submit a ticket, use the [dedicated Kendo UI for Angular support system](https://www.telerik.com/account/support-center/contact-us/technical-support).
* Product forums&mdash;The [Kendo UI for Angular forums](https://www.telerik.com/forums/kendo-angular-ui) are part of the free support you can get from the community and from the Kendo UI for Angular team.
* Feedback portal&mdash;The [Kendo UI for Angular feedback portal](https://feedback.telerik.com/kendo-angular-ui) is where you can request and vote for new features to be added.

## Resources

* [Getting Started with Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui/getting-started)
* [Getting Started with the Kendo UI for Angular Dropdowns](https://www.telerik.com/kendo-angular-ui/components/dropdowns/installation/getting-started)
* [Demos, documentation, and component reference](https://www.telerik.com/kendo-angular-ui/components)
* [Blogs](http://www.telerik.com/blogs/kendo-ui)
* [Kendo UI for Angular pricing and licensing](https://www.telerik.com/purchase/kendo-ui)

*Copyright © 2025 Progress Software Corporation and/or one of its subsidiaries or affiliates. All rights reserved.*

*Progress, Telerik, and certain product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries.*