/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { QueryList } from '@angular/core';
import { ComboBoxColumnComponent } from './combobox-column.component';
/**
 * @hidden
 *
 * Gets the default scrollbar width accoring to the current environment.
 */
export declare const scrollbarWidth: () => number;
/**
 * @hidden
 *
 * Calculates the row width according to the passed columns width configuration.
 * Hidden columns and such that don't match the provided media query are ignored.
 * If some of the columns don't have a preset width or have an invalid width value, the function returns `null`.
 */
export declare const getRowWidthFromColumnsMeta: (columns: QueryList<ComboBoxColumnComponent>) => number;
