/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { EventEmitter, TemplateRef } from '@angular/core';
import { DropDownSize } from './models/size';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { SVGIcon } from '@progress/kendo-angular-icons';
import { ActionSheetComponent } from '@progress/kendo-angular-navigation';
import { TextBoxComponent } from '@progress/kendo-angular-inputs';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class ResponsiveRendererComponent {
    localization: LocalizationService;
    title: string;
    showActionButtons: boolean;
    subtitle: string;
    size: DropDownSize;
    showTextInput: boolean;
    sharedPopupActionSheetTemplate: TemplateRef<any>;
    isActionSheetExpanded: boolean;
    text: string;
    placeholder: string;
    closePopup: EventEmitter<any>;
    textInputChange: EventEmitter<any>;
    navigate: EventEmitter<any>;
    onExpand: EventEmitter<any>;
    onCollapse: EventEmitter<any>;
    onApply: EventEmitter<any>;
    onCancel: EventEmitter<any>;
    actionSheet: ActionSheetComponent;
    actionSheetSearchBar: TextBoxComponent;
    constructor(localization: LocalizationService);
    searchBarValue: string;
    animationDuration: number;
    xIcon: SVGIcon;
    private expanded;
    messageFor(key: string): string;
    onValueChange(value: string): void;
    onOverlayClick(): void;
    handleExpand(): void;
    handleClose(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ResponsiveRendererComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ResponsiveRendererComponent, "responsive-renderer", never, { "title": { "alias": "title"; "required": false; }; "showActionButtons": { "alias": "showActionButtons"; "required": false; }; "subtitle": { "alias": "subtitle"; "required": false; }; "size": { "alias": "size"; "required": false; }; "showTextInput": { "alias": "showTextInput"; "required": false; }; "sharedPopupActionSheetTemplate": { "alias": "sharedPopupActionSheetTemplate"; "required": false; }; "isActionSheetExpanded": { "alias": "isActionSheetExpanded"; "required": false; }; "text": { "alias": "text"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; }, { "closePopup": "closePopup"; "textInputChange": "textInputChange"; "navigate": "navigate"; "onExpand": "onExpand"; "onCollapse": "onCollapse"; "onApply": "onApply"; "onCancel": "onCancel"; }, never, never, true, never>;
}
