/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * @hidden
 *
 * The item type used by the internal `kendoMultiSelectTreeCheckable` directive's `checkedItems` and `checkedItemsChange`.
 */
export interface CheckedItem {
    /**
     * Represents the node data item.
     */
    dataItem: any;
    /**
     * Represents the hierarchical node index.
     */
    index?: string;
    /**
     * Represents the hierarchical item level.
     * Used to retrieve the correct valueField, when using heterogenous data.
     */
    level?: number;
    /**
     * Represents a unique key identifier constructed from the item's value and level (if heterogeneous data)
     */
    key?: string;
}
