/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * @hidden
 */
export interface NormalizedTreeItem {
    /**
     * The original dataItem
     */
    dataItem?: any;
    /**
     * The unique item's key identifier.
     */
    key?: string;
}
/**
 * @hidden
 */
export interface NormalizedItemLookup {
    /**
     * The current TreeItem instance
     */
    item: NormalizedTreeItem;
    /**
     * The children of the current node
     */
    children?: NormalizedTreeItem[];
    /**
     * The parent of the current node
     */
    parent?: NormalizedItemLookup;
}
/**
 * @hidden
 */
export interface NormalizedTreeItemLookup {
    /**
     *  The current TreeItem instance.
     */
    item: NormalizedTreeItem;
    /**
     * The lookup details for the parent of the current TreeView node.
     */
    parent?: NormalizedItemLookup;
    /**
     *  The lookup details for the children of the current TreeView node.
     */
    children?: NormalizedTreeItemLookup[];
}
