/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { NormalizedItemLookup, NormalizedTreeItem, NormalizedTreeItemLookup } from './lookup';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare const nodeIndex: (item: NormalizedTreeItem) => string;
/**
 * @hidden
 */
export declare const buildTreeIndex: (parentIndex: string, itemIndex: string | number) => string;
/**
 * @hidden
 */
export declare const buildTreeItem: (dataItem: any, valueField: any, currentLevelIndex: number) => NormalizedTreeItem;
/**
 * @hidden
 */
export declare class MultiSelectTreeLookupService {
    private map;
    reset(): void;
    registerChildren(index: string, children: NormalizedTreeItem[]): void;
    item(index: string): NormalizedItemLookup;
    registerItem(item: any, parent?: NormalizedTreeItem): void;
    itemLookup(index: string): NormalizedTreeItemLookup;
    private mapChildren;
    static ɵfac: i0.ɵɵFactoryDeclaration<MultiSelectTreeLookupService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MultiSelectTreeLookupService>;
}
